Package com.logicaldoc.core.document

# Class Tag

java.lang.Object
com.logicaldoc.core.document.Tag

All Implemented Interfaces:
  `Serializable`, `Comparable<Tag>`

@Embeddable public class Tag extends Object implements Comparable<Tag>, Serializable
Represents a tag of a specific document

Since:
  7.2.1
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Tag()`
`Tag(long tenantId, String tag)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Tag o)`
`boolean`
`equals(Object o)`
`String`
`getTag()`
`long`
`getTenantId()`
`int`
`hashCode()`
`void`
`setTag(String tag)`
`void`
`setTenantId(long tenantId)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Tag

public Tag()

### Tag

public Tag(long tenantId, String tag)

## Method Details

### compareTo

public int compareTo(Tag o)

Specified by:
  `compareTo` in interface `Comparable<Tag>`

### getTag

public String getTag()

### setTag

public void setTag(String tag)

### getTenantId

public long getTenantId()

### setTenantId

public void setTenantId(long tenantId)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`